"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useSkipQuestionButtonProps(skipQuestion, quizApiState) {
    const getSkipQuestionButtonProps = (0, react_1.useCallback)(() => {
        var _a, _b, _c, _d;
        const currentQuestionId = (_b = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.next_question) === null || _b === void 0 ? void 0 : _b.id;
        const isHidden = currentQuestionId &&
            (((_c = quizApiState.quizCurrentQuestion) === null || _c === void 0 ? void 0 : _c.isCoverQuestion) ||
                !((_d = quizApiState.quizCurrentQuestion) === null || _d === void 0 ? void 0 : _d.next_question.is_skippable));
        return {
            className: isHidden ? 'cio-question-skip-button hide' : 'cio-question-skip-button',
            type: 'button',
            onClick: () => {
                skipQuestion();
            },
        };
    }, [quizApiState.quizCurrentQuestion, skipQuestion]);
    return getSkipQuestionButtonProps;
}
exports.default = useSkipQuestionButtonProps;
