import React, { useContext } from 'react';
import QuizContext from '../CioQuiz/context';
import ShareButton from '../ShareButton/ShareButton';
import QuizResultsSummary from '../QuizResultsSummary/QuizResultsSummary';
function ResultFiltersAndShare({ onShare, numberOfResults, showShareButton, }) {
    const { state } = useContext(QuizContext);
    const matchedOptions = state?.quiz?.matchedOptions;
    const summary = state?.quiz?.resultsConfig?.desktop?.response_summary ?? null;
    return (React.createElement("div", { className: 'cio-results-filter-and-redo-container cio-results-button-group' },
        React.createElement("div", { className: 'cio-results-filter-container' },
            React.createElement(QuizResultsSummary, { summary: summary, matchedOptions: matchedOptions })),
        React.createElement("div", { className: 'cio-results-number-and-share-button-group' },
            numberOfResults,
            " ",
            numberOfResults === 1 ? 'result' : 'results',
            showShareButton && React.createElement(ShareButton, { onClick: onShare }))));
}
export default ResultFiltersAndShare;
