import React from 'react';
export default function ResultsHeaderContainer({ resultsConfig }) {
    let resultsTitle = '';
    let resultsDescription = '';
    if (resultsConfig === null) {
        resultsTitle = 'Here are your results';
    }
    if (resultsConfig?.desktop.title?.is_active) {
        resultsTitle = resultsConfig.desktop.title.text ?? '';
    }
    if (resultsConfig?.desktop.description?.is_active) {
        resultsDescription = resultsConfig.desktop.description.text ?? '';
    }
    const hasContent = !!(resultsTitle || resultsDescription);
    return hasContent ? (React.createElement("div", { className: 'cio-results-title-container' },
        React.createElement("h1", { className: 'cio-results-title' }, resultsTitle),
        React.createElement("p", { className: 'cio-results-description' }, resultsDescription))) : null;
}
