import React, { useContext } from 'react';
import ShareSVG from './ShareSVG';
import QuizContext from '../CioQuiz/context';
function ShareButton(props) {
    const { shareText = 'Share Results', disabled, onClick, ...rest } = props;
    const { getShareResultsButtonProps } = useContext(QuizContext);
    if (getShareResultsButtonProps) {
        return (React.createElement("button", { ...rest, ...getShareResultsButtonProps(), type: 'button', onClick: onClick },
            React.createElement(ShareSVG, null),
            React.createElement("span", null, shareText)));
    }
    return null;
}
export default ShareButton;
