import { useCallback } from 'react';
import { QuestionTypes } from '../../components/CioQuiz/actions';
import { isFunction } from '../../utils';
const useQuizNextClick = (quizApiState, quizLocalState, dispatchLocalState, onQuizNextQuestion) => {
    const quizNexClickHandler = useCallback(() => {
        const currentQuestion = quizApiState.quizCurrentQuestion?.next_question;
        const currentQuestionId = currentQuestion?.id;
        if (dispatchLocalState && currentQuestionId) {
            const currentAnswerInput = quizLocalState.answerInputs[currentQuestionId];
            if (currentAnswerInput?.value?.length || currentQuestion?.type === 'cover') {
                dispatchLocalState({
                    type: QuestionTypes.Next,
                    payload: quizApiState.quizCurrentQuestion,
                });
            }
            if (currentQuestion && isFunction(onQuizNextQuestion)) {
                onQuizNextQuestion({ ...currentQuestion, answer: currentAnswerInput });
            }
        }
    }, [
        dispatchLocalState,
        quizApiState.quizCurrentQuestion,
        quizLocalState.answerInputs,
        onQuizNextQuestion,
    ]);
    return quizNexClickHandler;
};
export default useQuizNextClick;
